Get multiple BlobTrees

Get GCS blobs

Request example

curl --location 'https://api.liveramp.com/analytics-environment/v1/blob-trees?fileType=.py' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Authorization: Bearer ${access_token}' \
--data ''

Response example

{
    "blobTrees": [
        {
            "id": 123456,
            "bucket": "gs://lranalytics-eu-123456-cert-awob-coderepo/",
            "tree": [
                {
                    "path": "1.py",
                    "type": "blob",
                    "lastModifiedTime": "2023-07-27 03:29:09"
                },
                {
                    "path": "testFolder01/111.py",
                    "type": "blob",
                    "lastModifiedTime": "2023-08-24 01:58:21"
                }
            ]
        }
    ]
}
Language